Subject: Re: [PATCH 1/2] [POWERPC] 4xx: Add 405EXr to cputable

From: Olof Johansson <[email-masked]>
Date: Tue, 15 Jan 2008 12:38:09 -0600

On Tue, Jan 15, 2008 at 12:25:26PM -0600, Scott Wood wrote:
> Olof Johansson wrote:
> > On Tue, Jan 15, 2008 at 12:19:24PM -0600, Scott Wood wrote:
> >> On Tue, Jan 15, 2008 at 08:09:15AM +0100, Stefan Roese wrote:
> >>> This patch adds the 405EXr to the powerpc cuptable. Basically the 405EXr
> >>> is a 405EX with only one EMAC and only one PCIe interface.
> >> Sounds like they have the same core... why do they need separate cputable
> >> entries?
> > 
> > AMCC has always indicated SoC products by new PVRs. This isn't news,
> > even though it isn't exactly a clean solution. :)
> 
> But the old 405EX entry would have matched both chips.  Why add a new 
> significant bit to pvr_mask?  For the name in /proc/cpuinfo?

Presumably, yes.

Again, this is nothing new. Other 405/440 products are doing the same
thing.

-Olof